DC_DESCRIPTOR_FREE(3)

NAME
dc_descriptor_free - free a dive computer descriptor reference

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/descriptor.h>
void
dc_descriptor_free(dc_descriptor_t *descriptor);

DESCRIPTION
Frees a descriptor usually returned with dc_iterator_next(3) as created with dc_descriptor_iterator(3). It's safe to pass NULL to this function.

SEE ALSO
dc_descriptor_iterator(3), dc_iterator_free(3)

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.